WinShopAPI docs
ReferenceItem lists

Groups

List groups

GET
/api/item-lists/groups

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/groups' \  -H 'Authorization: Bearer <access-token>'
[  {    "baseVatRateId": 0,    "canBeInsured": true,    "coefficient1": 0,    "coefficient10": 0,    "coefficient11": 0,    "coefficient12": 0,    "coefficient13": 0,    "coefficient14": 0,    "coefficient15": 0,    "coefficient2": 0,    "coefficient3": 0,    "coefficient4": 0,    "coefficient5": 0,    "coefficient6": 0,    "coefficient7": 0,    "coefficient8": 0,    "coefficient9": 0,    "createdAt": "2019-08-24T14:15:22Z",    "description": "string",    "groupCode": "string",    "groupName": "string",    "groupNameForEshop": "string",    "hideOnTouchScreen": true,    "id": 0,    "intakePriceBasedOnCoefficient": true,    "lastModify": "2019-08-24T14:15:22Z",    "posCreditPaymentForbidden": true,    "recyclingFeeId": 0,    "themeId": 0,    "userId": 0  }]

Create a group

POST
/api/item-lists/groups

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
groupCode?|
Lengthlength <= 10
groupName?|
Lengthlength <= 80
groupNameForEshop?|
Lengthlength <= 120
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
lastModify?|
Formatdate-time
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
themeId?|
Formatint32
userId?|
Formatint32

Response Body

application/json
  1. response
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
groupCode?|
Lengthlength <= 10
groupName?|
Lengthlength <= 80
groupNameForEshop?|
Lengthlength <= 120
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
lastModify?|
Formatdate-time
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
themeId?|
Formatint32
userId?|
Formatint32
curl -X POST 'https://<your-instance>/api/item-lists/groups' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "baseVatRateId": 0,  "canBeInsured": true,  "coefficient1": 0,  "coefficient10": 0,  "coefficient11": 0,  "coefficient12": 0,  "coefficient13": 0,  "coefficient14": 0,  "coefficient15": 0,  "coefficient2": 0,  "coefficient3": 0,  "coefficient4": 0,  "coefficient5": 0,  "coefficient6": 0,  "coefficient7": 0,  "coefficient8": 0,  "coefficient9": 0,  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCode": "string",  "groupName": "string",  "groupNameForEshop": "string",  "hideOnTouchScreen": true,  "id": 0,  "intakePriceBasedOnCoefficient": true,  "lastModify": "2019-08-24T14:15:22Z",  "posCreditPaymentForbidden": true,  "recyclingFeeId": 0,  "themeId": 0,  "userId": 0}

Get a group

GET
/api/item-lists/groups/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
groupCode?|
Lengthlength <= 10
groupName?|
Lengthlength <= 80
groupNameForEshop?|
Lengthlength <= 120
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
lastModify?|
Formatdate-time
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
themeId?|
Formatint32
userId?|
Formatint32
curl -X GET 'https://<your-instance>/api/item-lists/groups/0' \  -H 'Authorization: Bearer <access-token>'
{  "baseVatRateId": 0,  "canBeInsured": true,  "coefficient1": 0,  "coefficient10": 0,  "coefficient11": 0,  "coefficient12": 0,  "coefficient13": 0,  "coefficient14": 0,  "coefficient15": 0,  "coefficient2": 0,  "coefficient3": 0,  "coefficient4": 0,  "coefficient5": 0,  "coefficient6": 0,  "coefficient7": 0,  "coefficient8": 0,  "coefficient9": 0,  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCode": "string",  "groupName": "string",  "groupNameForEshop": "string",  "hideOnTouchScreen": true,  "id": 0,  "intakePriceBasedOnCoefficient": true,  "lastModify": "2019-08-24T14:15:22Z",  "posCreditPaymentForbidden": true,  "recyclingFeeId": 0,  "themeId": 0,  "userId": 0}

Update a group

PATCH
/api/item-lists/groups/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
groupCode?|
Lengthlength <= 10
groupName?|
Lengthlength <= 80
groupNameForEshop?|
Lengthlength <= 120
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
lastModify?|
Formatdate-time
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
themeId?|
Formatint32
userId?|
Formatint32

Response Body

application/json
  1. response
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
groupCode?|
Lengthlength <= 10
groupName?|
Lengthlength <= 80
groupNameForEshop?|
Lengthlength <= 120
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
lastModify?|
Formatdate-time
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
themeId?|
Formatint32
userId?|
Formatint32
curl -X PATCH 'https://<your-instance>/api/item-lists/groups/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "baseVatRateId": 0,  "canBeInsured": true,  "coefficient1": 0,  "coefficient10": 0,  "coefficient11": 0,  "coefficient12": 0,  "coefficient13": 0,  "coefficient14": 0,  "coefficient15": 0,  "coefficient2": 0,  "coefficient3": 0,  "coefficient4": 0,  "coefficient5": 0,  "coefficient6": 0,  "coefficient7": 0,  "coefficient8": 0,  "coefficient9": 0,  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCode": "string",  "groupName": "string",  "groupNameForEshop": "string",  "hideOnTouchScreen": true,  "id": 0,  "intakePriceBasedOnCoefficient": true,  "lastModify": "2019-08-24T14:15:22Z",  "posCreditPaymentForbidden": true,  "recyclingFeeId": 0,  "themeId": 0,  "userId": 0}

Delete a group

DELETE
/api/item-lists/groups/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/groups/0' \  -H 'Authorization: Bearer <access-token>'
Empty